clan::NetGameClient Class Reference - ClanLib SDK
Description: clan::NetGameClient Class Reference

Public Member Functions | List of all members
clan::NetGameClient Class Reference
clanNetwork NetGame

NetGameClient. More...

`#include <client.h>`

Inheritance diagram for clan::NetGameClient:

## Public Member Functions
| NetGameClient ()
| ~NetGameClient ()
void | connect (const std::string &server, const std::string &port)
| Connect.
void | disconnect ()
| Disconnect.
void | process_events ()
| Process events.
void | send_event (const NetGameEvent &game_event)
| Send event.
Signal< void()> & | sig_connected ()
| Sig connected.
Signal< void()> & | sig_disconnected ()
| Sig disconnected.
Signal< void(const NetGameEvent &)> & | sig_event_received ()

## Detailed Description

NetGameClient.

## Constructor & Destructor Documentation

## ◆ NetGameClient()

clan::NetGameClient::NetGameClient | ( |  | ) |

## ◆ ~NetGameClient()

clan::NetGameClient::~NetGameClient | ( |  | ) |

## Member Function Documentation

## ◆ connect()

void clan::NetGameClient::connect | ( | const std::string & | server,
|  | const std::string & | port )

Connect.

Parameters

  server | = String
  port | = String

## ◆ disconnect()

void clan::NetGameClient::disconnect | ( |  | ) |

Disconnect.

## ◆ process_events()

void clan::NetGameClient::process_events | ( |  | ) |

Process events.

## ◆ send_event()

void clan::NetGameClient::send_event | ( | const NetGameEvent & | game_event | ) |

Send event.

Parameters

  game_event | = Net Game Event

## ◆ sig_connected()

Signal< void()> & clan::NetGameClient::sig_connected | ( |  | ) |

Sig connected.

Returns
  Signal<void()>

## ◆ sig_disconnected()

Signal< void()> & clan::NetGameClient::sig_disconnected | ( |  | ) |

Sig disconnected.

Returns
  Signal<void()>

References clan::e.

## ◆ sig_event_received()

Signal< void(const NetGameEvent &)> & clan::NetGameClient::sig_event_received | ( |  | ) |

The documentation for this class was generated from the following file:

- client.h